error while updating

Asked by pravin on 2017-01-10

pravin@pravin-Vostro-3458:~$ ubuntu-support-status
Support status summary of 'pravin-Vostro-3458':

You have 7 packages (0.3%) supported until October 2017 (9m)
You have 1822 packages (87.5%) supported until July 2017 (9m)

You have 3 packages (0.1%) that can not/no-longer be downloaded
You have 250 packages (12.0%) that are unsupported

Run with --show-unsupported, --show-supported or --show-all to see more details
pravin@pravin-Vostro-3458:~$ cat /etc/dpkg/dpkg.cfg.d/multiarch
cat: /etc/dpkg/dpkg.cfg.d/multiarch: No such file or directory
pravin@pravin-Vostro-3458:~$ cat /etc/dpkg/dpkg.cfg.d/multiarch
cat: /etc/dpkg/dpkg.cfg.d/multiarch: No such file or directory
pravin@pravin-Vostro-3458:~$ dpkg --print-foreign-architectures
i386
pravin@pravin-Vostro-3458:~$ sudo grep -R proxy /etc/apt/*
[sudo] password for pravin:
pravin@pravin-Vostro-3458:~$ grep proxy /etc/environment
pravin@pravin-Vostro-3458:~$ echo $http_proxy

pravin@pravin-Vostro-3458:~$ echo $ftp_proxy

pravin@pravin-Vostro-3458:~$ grep proxy /etc/bash.bashrc
pravin@pravin-Vostro-3458:~$ grep proxy ~/.bashrc
pravin@pravin-Vostro-3458:~$ cat /etc/apt/apt.conf
cat: /etc/apt/apt.conf: No such file or directory
pravin@pravin-Vostro-3458:~$ sudo fuser -vvv /var/lib/dpkg/lock
pravin@pravin-Vostro-3458:~$ sudo fuser -vvv /var/cache/apt/archives/lock
pravin@pravin-Vostro-3458:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=16.10
DISTRIB_CODENAME=yakkety
DISTRIB_DESCRIPTION="Ubuntu 16.10"
pravin@pravin-Vostro-3458:~$ uname -a
Linux pravin-Vostro-3458 4.8.0-32-generic #34-Ubuntu SMP Tue Dec 13 14:30:43 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
pravin@pravin-Vostro-3458:~$ sudo rm /var/lib/apt/lists/lock
pravin@pravin-Vostro-3458:~$ sudo rm /var/cache/apt/archives/lock
pravin@pravin-Vostro-3458:~$ sudo rm /var/lib/dpkg/lock
pravin@pravin-Vostro-3458:~$ sudo cp -arf /var/lib/dpkg /var/lib/dpkg.backup
pravin@pravin-Vostro-3458:~$ sudo mv /var/lib/dpkg/status /var/lib/dpkg/status-bad
pravin@pravin-Vostro-3458:~$ sudo cp /var/lib/dpkg/status-old /var/lib/dpkg/status || sudo cp /var/backups/apt.extended_states.0 /var/lib/dpkg/status
pravin@pravin-Vostro-3458:~$ sudo mv /var/lib/dpkg/available /var/lib/dpkg/available-bad
pravin@pravin-Vostro-3458:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
cp: cannot stat '/var/lib/dpkg/available-old': No such file or directory
pravin@pravin-Vostro-3458:~$
pravin@pravin-Vostro-3458:~$ sudo cp /var/lib/dpkg/available-old /var/lib/dpkg/available
cp: cannot stat '/var/lib/dpkg/available-old': No such file or directory
pravin@pravin-Vostro-3458:~$ sudo rm -rf /var/lib/dpkg/updates/*
pravin@pravin-Vostro-3458:~$ sudo rm -rf /var/lib/apt/lists
pravin@pravin-Vostro-3458:~$ sudo rm /var/cache/apt/*.bin
pravin@pravin-Vostro-3458:~$ sudo mkdir /var/lib/apt/lists
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get clean
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get autoclean
Reading package lists... Done
Building dependency tree
Reading state information... Done
pravin@pravin-Vostro-3458:~$ sudo dpkg --configure -a
Setting up intel-microcode (3.20160714.1) ...
update-initramfs: deferring update (trigger activated)
intel-microcode: microcode will be updated at next boot
Processing triggers for initramfs-tools (0.125ubuntu5) ...
update-initramfs: Generating /boot/initrd.img-4.8.0-32-generic
W: Possible missing firmware /lib/firmware/i915/kbl_guc_ver9_14.bin for module i915
W: Possible missing firmware /lib/firmware/i915/bxt_guc_ver8_7.bin for module i915
sudo dpkg --clear-avail
pravin@pravin-Vostro-3458:~$ sudo dpkg --clear-avail
pravin@pravin-Vostro-3458:~$ sudo dpkg --clear-avail
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libqt4-designer libqt4-help libqt4-scripttools libqt4-svg libqt4-test
  libqtassistantclient4 python-qt4 python-sip sdparm
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get --fix-missing install
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libqt4-designer libqt4-help libqt4-scripttools libqt4-svg libqt4-test
  libqtassistantclient4 python-qt4 python-sip sdparm
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pravin@pravin-Vostro-3458:~$
pravin@pravin-Vostro-3458:~$
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get --purge autoremove
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages will be REMOVED:
  libqt4-designer* libqt4-help* libqt4-scripttools* libqt4-svg* libqt4-test*
  libqtassistantclient4* python-qt4* python-sip* sdparm*
0 upgraded, 0 newly installed, 9 to remove and 0 not upgraded.
After this operation, 26.4 MB disk space will be freed.
Do you want to continue? [Y/n] Y
(Reading database ... 284221 files and directories currently installed.)
Removing python-qt4 (4.11.4+dfsg-2) ...
Removing libqt4-designer:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Removing libqt4-help:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Removing libqt4-scripttools:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Removing libqt4-svg:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Removing libqt4-test:amd64 (4:4.8.7+dfsg-7ubuntu1) ...
Removing libqtassistantclient4:amd64 (4.6.3-7) ...
Removing python-sip (4.18.1+dfsg-1) ...
Removing sdparm (1.08-1) ...
Processing triggers for libc-bin (2.24-3ubuntu2) ...
Processing triggers for man-db (2.7.5-1) ...
(Reading database ... 284077 files and directories currently installed.)
Removing libqtassistantclient4:amd64 (4.6.3-7) ...
Purging configuration files for libqtassistantclient4:amd64 (4.6.3-7) ...
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get --fix-missing update -o APT::Cache-Limit=100000000
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Get:2 http://dl.google.com/linux/chrome/deb stable Release [1189 B]
Get:3 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety InRelease [17.5 kB]
Get:4 http://dl.google.com/linux/chrome/deb stable Release.gpg [916 B]
Get:5 http://archive.ubuntu.com/ubuntu yakkety InRelease [247 kB]
Get:6 http://dl.google.com/linux/chrome/deb stable/main amd64 Packages [1420 B]
Get:7 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety/main Sources [3768 B]
Get:8 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety/main amd64 Packages [2608 B]
Get:9 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety/main i386 Packages [2608 B]
Get:10 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety/main Translation-en [1340 B]
Get:11 http://archive.ubuntu.com/ubuntu yakkety-updates InRelease [102 kB]
Get:12 http://archive.ubuntu.com/ubuntu yakkety/main amd64 Packages [1222 kB]
Get:13 http://archive.ubuntu.com/ubuntu yakkety/main i386 Packages [1218 kB]
Get:14 http://archive.ubuntu.com/ubuntu yakkety/main Translation-en [582 kB]
Get:15 http://archive.ubuntu.com/ubuntu yakkety/main amd64 DEP-11 Metadata [654 kB]
Get:16 http://archive.ubuntu.com/ubuntu yakkety/main DEP-11 64x64 Icons [368 kB]
Get:17 http://archive.ubuntu.com/ubuntu yakkety/restricted i386 Packages [8724 B]
Get:18 http://archive.ubuntu.com/ubuntu yakkety/restricted amd64 Packages [8416 B]
Get:19 http://archive.ubuntu.com/ubuntu yakkety/restricted Translation-en [2996 B]
Get:20 http://archive.ubuntu.com/ubuntu yakkety/restricted amd64 DEP-11 Metadata [187 B]
Get:21 http://archive.ubuntu.com/ubuntu yakkety/universe amd64 Packages [7729 kB]
Get:22 http://archive.ubuntu.com/ubuntu yakkety/universe i386 Packages [7712 kB]
Get:23 http://archive.ubuntu.com/ubuntu yakkety/universe Translation-en [4484 kB]
Get:24 http://archive.ubuntu.com/ubuntu yakkety/universe amd64 DEP-11 Metadata [2669 kB]
Get:25 http://archive.ubuntu.com/ubuntu yakkety/universe DEP-11 64x64 Icons [7194 kB]
Get:26 http://archive.ubuntu.com/ubuntu yakkety-updates/restricted amd64 DEP-11 Metadata [185 B]
Get:27 http://archive.ubuntu.com/ubuntu yakkety-updates/universe i386 Packages [75.3 kB]
Get:28 http://archive.ubuntu.com/ubuntu yakkety-updates/universe amd64 Packages [77.8 kB]
Get:29 http://archive.ubuntu.com/ubuntu yakkety-updates/universe Translation-en [42.0 kB]
Get:30 http://archive.ubuntu.com/ubuntu yakkety-updates/universe amd64 DEP-11 Metadata [83.4 kB]
Get:31 http://archive.ubuntu.com/ubuntu yakkety-updates/universe DEP-11 64x64 Icons [89.6 kB]
Get:32 http://archive.ubuntu.com/ubuntu yakkety-updates/main amd64 Packages [144 kB]
Get:33 http://archive.ubuntu.com/ubuntu yakkety-updates/main i386 Packages [142 kB]
Get:34 http://archive.ubuntu.com/ubuntu yakkety-updates/main Translation-en [63.9 kB]
Get:35 http://archive.ubuntu.com/ubuntu yakkety-updates/main amd64 DEP-11 Metadata [111 kB]
Get:36 http://archive.ubuntu.com/ubuntu yakkety-updates/main DEP-11 64x64 Icons [69.1 kB]
Fetched 35.1 MB in 37s (943 kB/s)
Reading package lists... Done
pravin@pravin-Vostro-3458:~$ LANG=C;sudo apt-get update -o APT::Cache-Limit=100000000 && sudo apt-get dist-upgrade
Hit:1 http://archive.ubuntu.com/ubuntu yakkety InRelease
Ign:2 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:3 http://archive.ubuntu.com/ubuntu yakkety-updates InRelease
Hit:4 http://dl.google.com/linux/chrome/deb stable Release
Hit:6 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety InRelease
Reading package lists... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pravin@pravin-Vostro-3458:~$
pravin@pravin-Vostro-3458:~$
pravin@pravin-Vostro-3458:~$ find /etc/apt -name '*.list' -exec bash -c 'echo -e "\n$1\n"; cat -n "$1"' _ '{}' \;

/etc/apt/sources.list.d/webupd8team-ubuntu-gnome3-yakkety.list

/etc/apt/sources.list.d/google-chrome.list

     1 ### THIS FILE IS AUTOMATICALLY CONFIGURED ###
     2 # You may comment out this entry, but any other modifications may be lost.
     3 deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

/etc/apt/sources.list.d/numix-ubuntu-ppa-yakkety.list

     1 deb http://ppa.launchpad.net/numix/ppa/ubuntu yakkety main
     2 deb-src http://ppa.launchpad.net/numix/ppa/ubuntu yakkety main

/etc/apt/sources.list.d/moka-ubuntu-stable-yakkety.list

/etc/apt/sources.list

     1 #############################################################
     2 ################### OFFICIAL UBUNTU REPOS ###################
     3 #############################################################
     4
     5 ###### Ubuntu Main Repos
     6
     7 ###### Ubuntu Update Repos
     8 #deb http://us.archive.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
     9 #deb http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
    10 # deb http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
    11 #deb-src http://us.archive.ubuntu.com/ubuntu/ precise-security main restricted universe multiverse
    12 #deb-src http://us.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
    13 # deb-src http://us.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
    14
    15 ###### Ubuntu Partner Repo
    16 #deb http://archive.canonical.com/ubuntu precise partner
    17 #deb-src http://archive.canonical.com/ubuntu precise partner
    18
    19 ###### Ubuntu Extras Repo
    20 #deb http://extras.ubuntu.com/ubuntu precise main
    21 # deb-src http://extras.ubuntu.com/ubuntu precise main
    22 deb http://archive.ubuntu.com/ubuntu yakkety main restricted universe
    23 deb http://archive.ubuntu.com/ubuntu yakkety-updates restricted universe main
pravin@pravin-Vostro-3458:~$ sudo dpkg --audit
pravin@pravin-Vostro-3458:~$

When i Commented the some lines with # in the above sources.list file i am not getting error when updating. but when i remove the comments i get error while updating.Please help me out what to do for that.Thank for help.

Question information

Language:
English Edit question
Status:
Answered
For:
Ubuntu apt Edit question
Assignee:
No assignee Edit question
Last query:
2017-01-11
Last reply:
2017-01-11
Bhavani Shankar (bhavi) said : #1

Hey Pravin,

Could you let us know what error you are facing in detail so that we could help out better?

Thanks!

pravin (pravin1996) said : #2

These errors i am getting while updating.

pravin@pravin-Vostro-3458:~$ sudo apt-get update
[sudo] password for pravin:
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://dl.google.com/linux/chrome/deb stable Release
Get:4 http://security.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]
Hit:5 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety InRelease
Ign:6 http://archive.canonical.com/ubuntu precise InRelease
Hit:7 http://archive.ubuntu.com/ubuntu yakkety InRelease
Ign:8 http://extras.ubuntu.com/ubuntu precise InRelease
Get:9 http://archive.ubuntu.com/ubuntu yakkety-updates InRelease [102 kB]
Get:10 http://extras.ubuntu.com/ubuntu precise Release [11.9 kB]
Hit:11 http://archive.canonical.com/ubuntu precise Release
Hit:12 http://us.archive.ubuntu.com/ubuntu precise-security InRelease
Get:14 http://extras.ubuntu.com/ubuntu precise Release.gpg [72 B]
Hit:15 http://us.archive.ubuntu.com/ubuntu precise-updates InRelease
Ign:14 http://extras.ubuntu.com/ubuntu precise Release.gpg
Get:16 http://security.ubuntu.com/ubuntu yakkety-security/universe amd64 DEP-11 Metadata [2,184 B]
Get:17 http://extras.ubuntu.com/ubuntu precise/main i386 Packages [10.8 kB]
Get:18 http://archive.ubuntu.com/ubuntu yakkety-updates/universe amd64 DEP-11 Metadata [83.4 kB]
Get:19 http://security.ubuntu.com/ubuntu yakkety-security/main amd64 DEP-11 Metadata [8,268 B]
Get:20 http://security.ubuntu.com/ubuntu yakkety-security/main DEP-11 64x64 Icons [10.0 kB]
Get:21 http://extras.ubuntu.com/ubuntu precise/main amd64 Packages [10.8 kB]
Get:22 http://archive.ubuntu.com/ubuntu yakkety-updates/universe DEP-11 64x64 Icons [94.2 kB]
Get:23 http://archive.ubuntu.com/ubuntu yakkety-updates/main amd64 DEP-11 Metadata [111 kB]
Get:24 http://archive.ubuntu.com/ubuntu yakkety-updates/main DEP-11 64x64 Icons [56.8 kB]
Fetched 604 kB in 3s (162 kB/s)
Reading package lists... Done
W: http://archive.canonical.com/ubuntu/dists/precise/Release.gpg: Signature by key 630239CC130E1A7FD81A27B140976EAF437D05B5 uses weak digest algorithm (SHA1)
W: http://us.archive.ubuntu.com/ubuntu/dists/precise-security/InRelease: Signature by key 630239CC130E1A7FD81A27B140976EAF437D05B5 uses weak digest algorithm (SHA1)
W: GPG error: http://extras.ubuntu.com/ubuntu precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 16126D3A3E5C1192
W: The repository 'http://extras.ubuntu.com/ubuntu precise Release' is not signed.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: http://us.archive.ubuntu.com/ubuntu/dists/precise-updates/InRelease: Signature by key 630239CC130E1A7FD81A27B140976EAF437D05B5 uses weak digest algorithm (SHA1)

Bhavani Shankar (bhavi) said : #3

Hmm 1st one for the public key error. looks like a key import error

Have you imported keys locally?

See the below for further explanation

http://opensourceforgeeks.blogspot.in/2013/04/w-gpg-error-httpppalaunchpadnet-precise.html

http://askubuntu.com/questions/308760/w-gpg-error-http-ppa-launchpad-net-precise-release-the-following-signatures

2nd one weak digest algorithm is a prob with repo than your system as packages now use SHA 256 style keys

see the below

https://juliank.wordpress.com/2016/03/15/clarifications-and-updates-on-apt-sha1/

Hope this helps!

Manfred Hampl (m-hampl) said : #4

You are running a system with Ubuntu yakkety, but some references in the sources.list files are for Ubuntu precise.

Change
    16 #deb http://archive.canonical.com/ubuntu precise partner
    17 #deb-src http://archive.canonical.com/ubuntu precise partner
into
    16 deb http://archive.canonical.com/ubuntu yakkety partner
    17 #deb-src http://archive.canonical.com/ubuntu yakkety partner

and chánge
    20 #deb http://extras.ubuntu.com/ubuntu precise main
    21 # deb-src http://extras.ubuntu.com/ubuntu precise main
into
    20 #deb http://extras.ubuntu.com/ubuntu trusty main
    21 # deb-src http://extras.ubuntu.com/ubuntu trusty main

Also running the command
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv 16126D3A3E5C1192
can help for one of your errors

pravin (pravin1996) said : #5

After doing that i got rid of 3 errors. Now only one Warning is there when updating.This is the warning......

pravin@pravin-Vostro-3458:~$ sudo apt-get update
[sudo] password for pravin:
Get:1 http://us.archive.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]
Ign:2 http://extras.ubuntu.com/ubuntu trusty InRelease
Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:4 http://ppa.launchpad.net/numix/ppa/ubuntu yakkety InRelease
Hit:5 http://archive.canonical.com/ubuntu yakkety InRelease
Hit:6 http://dl.google.com/linux/chrome/deb stable Release
Hit:7 http://extras.ubuntu.com/ubuntu trusty Release
Hit:9 http://archive.ubuntu.com/ubuntu yakkety InRelease
Get:11 http://archive.ubuntu.com/ubuntu yakkety-updates InRelease [102 kB]
Get:12 http://us.archive.ubuntu.com/ubuntu yakkety-updates InRelease [102 kB]
Get:13 http://archive.ubuntu.com/ubuntu yakkety-backports InRelease [102 kB]
Get:14 http://us.archive.ubuntu.com/ubuntu yakkety-backports InRelease [102 kB]
Get:15 http://archive.ubuntu.com/ubuntu yakkety-proposed InRelease [102 kB]
Get:16 http://security.ubuntu.com/ubuntu yakkety-security InRelease [102 kB]
Fetched 715 kB in 12s (56.6 kB/s)
Reading package lists... Done
W: http://extras.ubuntu.com/ubuntu/dists/trusty/Release.gpg: Signature by key C47415DFF48C09645B78609416126D3A3E5C1192 uses weak digest algorithm (SHA1)

Manfred Hampl (m-hampl) said : #6

The solution to get rid of this warning is removing the reference to the extras.ubuntu.com repository.
This repository is outdated (no new software for three years), and apparently only weak encryption is used for the signatures.

What is lines 20 and 21 in your /etc/apt/sources.list file?

Edit the file and put a '#' character to the beginning of the lines
#deb http://extras.ubuntu.com/ubuntu trusty main
#deb-src http://extras.ubuntu.com/ubuntu trusty main

Can you help with this problem?

Provide an answer of your own, or ask pravin for more information if necessary.

To post a message you must log in.